
From: Yoshinori Sato <ysato@users.sourceforge.jp>

- Argument addition of security_file_mmap.
- Because in_gate_area_no_task undefined with CONFIG_KALLSYM=y, add it.

Signed-off-by: Yoshinori Sato <ysato@users.sourceforge.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/nommu.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN mm/nommu.c~nommuc-build-error-fix mm/nommu.c
--- 25/mm/nommu.c~nommuc-build-error-fix	2005-03-28 17:41:08.000000000 -0800
+++ 25-akpm/mm/nommu.c	2005-03-28 17:41:08.000000000 -0800
@@ -396,6 +396,7 @@ unsigned long do_mmap_pgoff(struct file 
 	unsigned int vm_flags;
 	void *result;
 	int ret, membacked;
+	unsigned long reqprot = prot;
 
 	/* do the simple checks first */
 	if (flags & MAP_FIXED || addr) {
@@ -506,7 +507,7 @@ unsigned long do_mmap_pgoff(struct file 
 	}
 
 	/* allow the security API to have its say */
-	ret = security_file_mmap(file, prot, flags);
+	ret = security_file_mmap(file, reqprot, prot, flags);
 	if (ret)
 		return ret;
 
@@ -1063,3 +1064,7 @@ int __vm_enough_memory(long pages, int c
 	return -ENOMEM;
 }
 
+int in_gate_area_no_task(unsigned long addr)
+{
+	return 0;
+}
_
